// qlookDoc.h : interface of the CQlookDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_QLOOKDOC_H__4E6D1E3C_9C64_4E2F_A441_31D4E07DE958__INCLUDED_)
#define AFX_QLOOKDOC_H__4E6D1E3C_9C64_4E2F_A441_31D4E07DE958__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CQlookDoc : public CDocument
{
protected: // create from serialization only
	CQlookDoc();
	DECLARE_DYNCREATE(CQlookDoc)

	BOOL DoPromptFileName(CString& fileName, UINT nIDSTitle, 
		DWORD lFlags, BOOL bOpenFileDialog, CDocTemplate* pTemplate);
// Attributes
public:
	CHMMLook* GetHMMLook(){return &m_HMMLook;};
protected:
	CHMMLook m_HMMLook;
	CHMMLook* m_CurrentHMMLook;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQlookDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CQlookDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CQlookDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QLOOKDOC_H__4E6D1E3C_9C64_4E2F_A441_31D4E07DE958__INCLUDED_)
